Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /api-keys

Dieser Endpunkt gibt eine Liste aller API-Schlüssel des authentifizierten Kontos zurück. Aus Sicherheitsgründen wird niemals der vollständige Schlüssel zurückgegeben – nur eine Vorschau.

Antwort

apiKeys
array
Array von API-Schlüsselobjekten.
total
number
Gesamtanzahl der API-Schlüssel.
curl -X GET https://api.llmgenerator.com/api/v1/api-keys \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "apiKeys": [
    {
      "id": "llm_1706123456_abc123def456",
      "name": "Production Key",
      "keyPreview": "llm_1706...f456",
      "isActive": true,
      "lastUsedAt": "2026-01-20T15:30:00.000Z",
      "createdAt": "2026-01-01T10:00:00.000Z"
    },
    {
      "id": "llm_1706234567_xyz789abc012",
      "name": "Development Key",
      "keyPreview": "llm_1706...c012",
      "isActive": true,
      "lastUsedAt": null,
      "createdAt": "2026-01-15T09:00:00.000Z"
    }
  ],
  "total": 2
}